html,
body {
    font-family: "Plus Jakarta Sans", serif;
    font-optical-sizing: auto;
    padding: 0;
    margin: 0;
    overflow-x: hidden;
}

.routes {
    display: flex;
    flex-direction: row;
    padding: 10px;
    padding-left: 20px;
    gap: 10px;
}

.routes a {
    color: #2C2C2C;
}

.img_routes_back {
    width: 20px;
}

.img_routes {
    width: 10px;
}

.list_cart {
    margin: 10px;
    padding: 10px 50px 300px 50px;
    height: 550px;
    overflow-x: hidden;
    overflow-y: auto;
    scroll-snap-type: y mandatory;
    scroll-padding: 10px;

}

.card_cart {
    width: 100%;
    border-radius: 20px;
    margin-bottom: 10px;
    border: 0.5px solid #060505;
}

.above {
    border-top-left-radius: 20px;
    border-top-right-radius: 20px;
    background-color: #2C2C2C;
    padding: 10px 20px 10px 20px;
    display: flex;

}

.above_right {
    display: flex;
    justify-content: right;
    width: 100%;
}

.above_left {
    width: 100%;
    margin-top: 5px;
}

.title_product_cart h4 {
    font-weight: 600;
}

.delete button,
.edit button {
    /* border: none;
    color: #fff;
    background-color: red; */
    /* border-radius: 10%; */
}

.delete {
    display: flex;
    justify-content: center;
    align-items: center;
    border-right: 1px solid #fff;
    padding-right: 20px;
}

.edit {
    padding-left: 20px;
}

.above_left input {
    width: 20px;
    height: 20px;
}

.below {
    padding: 20px;
    display: flex;
    background-color: #fff;
    border-bottom-left-radius: 20px;
    border-bottom-right-radius: 20px;
}

.img_cart img {
    max-width: 100%;
    width: 100%;
    height: auto;
}

.spek_color {
    background-color: #000;
    width: 30px;
    height: 30px;
    border-radius: 100%;

}

.descrip_product_cart {
    padding-left: 10px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    gap: 5px;
}

.component_spek_product {
    display: flex;
    flex-direction: row;
    gap: 10px;
    margin-top: 10px;
}

.container-size {
    width: 200px;
    border-radius: 20px;
    padding: 10px;
    border: 1px solid #929292;
    text-align: center;

}

.container-size a {
    text-decoration: none;
    color: #000;
    /* font-weight: 700; */

}

.checkout_footer {
    padding: 10px 20px 10px 20px;
    background-color: #fff;
    border-top-left-radius: 20px;
    border-top-right-radius: 20px;
    width: 100%;
    position: fixed;
    bottom: 0px;
    box-shadow: rgba(0, 0, 0, 0.35) 0px 5px 15px;
}

.form_address {
    display: flex;
    flex-direction: row;
    gap: 30px;
    width: 90%;
    justify-content: center;
}

.input_customer input {
    padding-left: 20px;
    border-radius: 5px;
    border: 0.5px solid #B4B4B4;
}

.total_checkout {
    display: flex;
}

.total_product_checkout,
.total_payment_checkout {
    width: 100%;
}

.total_product_checkout {
    padding-left: 30px;
}

.total_payment_checkout {
    padding-left: 30px;
    padding-right: 50px;
}

.total_payment_checkout,
.descrip_total_pay {}

.descrip_total,
.descrip_total_pay {
    display: flex;
    gap: 10px;
}

.btn_checkout {
    width: 100%;
    text-align: right;
    padding-right: 50px;
    margin: 0px;
}

.btn_checkout button {
    width: 200px;
    padding: 8px;
    color: #fff;
    border-radius: 10px;
    background-color: #2C2C2C;
}

.container_input {
    display: flex;
    justify-content: center;
    align-items: center;
}

.checkbox_cart {
    transform: scale(2.5);
    margin: 10px;
}

.color_product_cart {
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
    gap: 5px;
}

.color-container {
    display: flex;
    justify-content: center;
    align-items: center;
    margin-top: 5px;
}

.color_product_cart span {
    display: inline-block;
    width: 20px;
    height: 20px;
    border-radius: 50%;
    border: 1px solid #ccc;
    gap: 5px;
    /* Hapus margin-right karena sekarang pakai flexbox */
}

/* Hitam */
.color1 {
    background-color: #000000;
}

/* Gold */
.color2 {
    background-color: #FFD700;
}

/* Merah */
.color3 {
    background-color: #FF0000;
}

/* Putih (dikasih border supaya kelihatan di background putih) */
.color4 {
    background-color: #FFFFFF;
    border: 1px solid #999;
}

.color5 {
    background-color: #ff69b4;
    border: 1px solid #000;
}

@media (min-width: 769px) {
    .input_customer input {
        width: 180px;
        padding: 5px;
    }

    .title_product_cart {
        margin-top: 10px;
        max-width: 100%;
        text-align: center;
    }

    .card_cart {
        margin-top: 30px;
    }

    .container_input {
        margin-bottom: 10px;
    }
}

@media (max-width: 769px) {

    .container_input {
        margin-bottom: 10px;
    }

    .form_address {
        display: flex;
        flex-direction: column;
        gap: 10px;
    }

    .input_customer input {
        width: 100%;
    }

    .below {
        /* display: flex;
        flex-direction: column;
        align-items: center;
        text-align: center; */
    }


    .img_cart {
        /* width: 100%; */
        /* display: flex; */
        /* justify-content: start; */
        /* margin-bottom: 10px; */
    }



    .img_cart img {
        max-width: 100%;
        height: auto;
    }

    .descrip_product_cart {
        display: flex;
        flex-direction: column;
        align-items: center;
        width: 100%;
        gap: 5px;
    }

    .title_product_cart {
        margin-top: 10px;
        max-width: 100%;
        text-align: center;
    }

    .component_spek_product {
        display: flex;
        flex-direction: column;
        align-items: center;
        gap: 5px;
    }

    .above {
        flex-direction: column;
        align-items: flex-start;
        gap: 10px;
    }

    .above_right {
        justify-content: flex-start;
    }

    .quantity_product_cart {
        font-size: 10px;
    }

    .quantity_product {
        margin-top: 10%
    }
}